Bug 93107 - MySQL ports missing switch to compile with CSV engine.
Summary: MySQL ports missing switch to compile with CSV engine.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-09 22:00 UTC by Robert Uzzi
Modified: 2006-09-07 08:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Uzzi 2006-02-09 22:00:18 UTC
The server port of MySQL 5.0 has no switch to build the port with CSV storage engine support.

Fix: 

Add the following lines to the ports makefile.

After statement WITH_ARCHIVE
.if defined(WITH_CSV)
 CONFIGURE_ARGS+=--with-csv-storage-engine
.endif


And later in the file again after echo statement WITH_ARCHIVE=yes.

       @${ECHO} "      WITH_CSV=yes            Enable support for CSV Storage E
ngine."
How-To-Repeat: N/A
Comment 1 Edwin Groothuis freebsd_committer 2006-02-10 08:39:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to maintainer
Comment 2 Alex Dupre freebsd_committer 2006-09-07 08:40:36 UTC
State Changed
From-To: open->closed

Committed, thanks!